-- ----------------------------------------------------------------------------
-- Copyright (C) 2012 Nokia Gate5 GmbH Berlin
--
-- These coded instructions, statements, and computer programs contain
-- unpublished proprietary information of Nokia Gate5 GmbH Berlin, and
-- are copy protected by law. They may not be disclosed to third parties
-- or copied or duplicated in any form, in whole or in part, without the
-- specific, prior written permission of Nokia Gate5 GmbH Berlin.
-- ----------------------------------------------------------------------------
--      Authors: RFS, Fabian TP Riek
-- ----------------------------------------------------------------------------
--             Voice Skin: Norwegian TTS

description = "TTS"
gender = "f"
travel_mode = "0"    -- walk and drive 
output_type = "tts"
speaker = "Stine"
language = "Norwegian"
marc_code = "nor"
language_id = "8"
id = "8002"
config_file = "norwegian_tts/config_tts.lua"
audio_files_path = "norwegian_tts/norwegian_tts"
rulesets_file = "norwegian_tts/norwegian_tts/rules_non.txt"
userdictionary_file = "norwegian_tts/norwegian_tts/udct_non.dat"
apdb = "apdb/stine/nm"
audio_files_version = "0.2.0.2012011701"
client_range = "[client >= 1.3.18.0 ; client < 1.4.6.0 ]"

maneuver_check = {
    ["END"] = "ankommer du din destinasjon",                             -- You will reach your destination
    ["STOPOVER"] = "vil du nå et stopp på ruten",                          -- You will reach a stopover
    ["JUNCTION"] = nil,                                                               -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = nil,                                                    -- the junction
    ["ROUNDABOUT"] = "i rundkjøringen",                               -- At the roundabout
    ["EXIT_ROUNDABOUT"] = "ta avkjørselen",                              -- take the exit
    ["UTURN"] = "ta en u-sving",                                                -- Make a uturn
    ["ENTER_HIGHWAY"] = "kjør inn på motorveien",
    ["LEAVE_HIGHWAY"] = "ta avkjørselen",                                    -- take the exit
    ["CONTINUE_HIGHWAY"] = "ta avkjørselen",                             -- due to specifications ("take the exit")
    ["ENTER_URBAN_HIGHWAY"] = "kjør inn på motorveien",
    ["LEAVE_URBAN_HIGHWAY"] = "ta avkjørselen",                      -- take the exit
    ["CONTINUE_URBAN_HIGHWAY"] = "ta avkjørselen",
    ["DRIVE_TO_NEAREST_ROAD"] = "Kjør til nærmeste vei",        -- drive to nearest road 
    ["FERRY"] = "ta ferjen"
}

maneuver_turns_car = {
    ["NO_TURN"] = "fortsett rett fram",
    ["KEEP_MIDDLE"] = "ta midtre felt",
    ["KEEP_RIGHT"] = "hold til høyre",
    ["LIGHT_RIGHT"] = "sving svakt til høyre",
    ["QUITE_RIGHT"] = "sving til høyre",
    ["HEAVY_RIGHT"] = "sving skarpt til høyre",
    ["RETURN"] = "ta en u-sving",
    ["HEAVY_LEFT"] = "sving skarpt til venstre",
    ["QUITE_LEFT"] = "sving til venstre",
    ["LIGHT_LEFT"] = "sving svakt til venstre",
    ["KEEP_LEFT"] = "hold til venstre",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

-- include now. i.e. Now turn right.
maneuver_turns_car_final = {
    ["NO_TURN"] = "Fortsett nå rett fram",
    ["KEEP_MIDDLE"] = "Bruk nå midtre felt",
    ["KEEP_RIGHT"] = "Hold nå til høyre",
    ["LIGHT_RIGHT"] = "Sving nå svakt til høyre",
    ["QUITE_RIGHT"] = "Sving nå til høyre",
    ["HEAVY_RIGHT"] = "Sving nå skarpt til høyre",
    ["RETURN"] = "Ta nå en u-sving",
    ["HEAVY_LEFT"] = "Sving nå skarpt til venstre",
    ["QUITE_LEFT"] = "Sving nå til venstre",
    ["LIGHT_LEFT"] = "Sving nå svakt til venstre",
    ["KEEP_LEFT"] = "Hold nå til venstre",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

maneuver_turns_pedestrian = {
    ["NO_TURN"] = "fortsett rett fram",
    ["KEEP_MIDDLE"] = "fortsett rett fram",
    ["KEEP_RIGHT"] = "ta gaten til høyre",
    ["LIGHT_RIGHT"] = "ta svakt til høyre",
    ["QUITE_RIGHT"] = "ta til høyre",
    ["HEAVY_RIGHT"] = "ta skarpt til høyre",
    ["RETURN"] = "ta en u-sving",
    ["HEAVY_LEFT"] = "ta skarpt til venstre",
    ["QUITE_LEFT"] = "ta til venstre",
    ["LIGHT_LEFT"] = "ta svakt til venstre",
    ["KEEP_LEFT"] = "ta gaten til venstre",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

maneuver_turns_pedestrian_final = {
    ["NO_TURN"] = "Fortsett nå rett fram",
    ["KEEP_MIDDLE"] = "Fortsett nå rett fram",
    ["KEEP_RIGHT"] = "Ta nå gaten til høyre",
    ["LIGHT_RIGHT"] = "Ta nå svakt til høyre",
    ["QUITE_RIGHT"] = "Ta nå til høyre",
    ["HEAVY_RIGHT"] = "Ta nå skarpt til høyre",
    ["RETURN"] = "Ta nå en u-sving",
    ["HEAVY_LEFT"] = "Ta nå skarpt til venstre",
    ["QUITE_LEFT"] = "Ta nå til venstre",
    ["LIGHT_LEFT"] = "Ta nå svakt til venstre",
    ["KEEP_LEFT"] = "Ta nå gaten til venstre",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

pedestrian_vc = {
    ["BUILDING"] = "gå gjennom bygningen",
    ["SQUARE"] = "gå over plassen",
    ["PARK"] = "gå gjennom parken",
    ["STAIRS"] = "ta trappen",
    ["ELEVATOR"] = "ta heisen",
    ["ESCALATOR"] = "ta trappen"
}

final_command = {
    ["END"] = "Du har ankommet din destinasjon",                  -- You have reached your destination
    ["STOPOVER"] = "Du har nådd et stopp på ruten"                -- You have reached a stopover
}

exit_number_check = {
    [1] = {"ta første avkjørsel", "ta av ved første gate"},                     -- take the first exit / turn at the first street
    [2] = {"ta andre avkjørsel", "ta av ved andre gate"},           -- take the second exit / turn at the second street
    [3] = {"ta tredje avkjørsel", "ta av ved tredje gate"},                   -- take the third exit / turn at the third street
    [4] = {"ta fjerde avkjørsel", "ta av ved fjerde gate"},                -- take the fourth exit / turn at the fourth street
    [5] = {"ta femte avkjørsel", "ta av ved femte gate"},                       -- take the fifth exit / turn at the fifth street
    [6] = {"ta sjette avkjørsel", "ta av ved sjette gate"},                  -- take the sixth exit / turn at the sixth street
    [7] = {"ta sjuende avkjørsel", "ta av ved sjuende gate"},         -- take the seventh exit / turn at the seventh street
    [8] = {"ta åttende avkjørsel", "ta av ved åttende gate"},              -- take the eighth exit / turn at the eigth street
    [9] = {"ta niende avkjørsel", "ta av ved niende gate"},                  -- take the ninth exit / turn at the ninth street
    [10] = {"ta tiende avkjørsel", "ta av ved tiende gate"},               -- take the tenth exit / turn at the tenth street
    [11] = {"ta ellevte avkjørsel", "ta av ved ellevte gate"},       -- take the eleventh exit / turn at the eleventh street
    [12] = {"ta tolvte avkjørsel", "ta av ved tolvte gate"}             -- take the twelfth exit / turn at the twelfth street
}

distances = {
    [50] = "50",
    [100] = "100",
    [150] = "150",
    [200] = "200",
    [250] = "250",
    [300] = "300",
    [400] = "400",
    [500] = "500",
    [600] = "600",
    [700] = "700",
    [800] = "800",
    [900] = "900",
    [1] = "1",
    [2] = "2",
    [3] = "3",
    [4] = "4",
    [5] = "5",
    [6] = "6",
    [7] = "7",
    [8] = "8",
    [9] = "9",
    [10] = "10"
}

unit = {                        
    ["MILE"] = "meter",
    ["YARDS"] = "meter",
    ["KILOMETER"] = "kilometer",
    ["METERS"] = "meter",
    ["METER"] = "meter",
    ["KILOMETERS"] = "kilometer",
    ["MILES"] = "kilometer",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

orientation = {
    ["NORTH"] = "nord",
    ["NORTH_EAST"] = "nordøst",
    ["EAST"] = "øst",
    ["SOUTH_EAST"] = "sørøst",
    ["SOUTH"] = "sør",
    ["SOUTH_WEST"] = "sørvest",
    ["WEST"] = "vest",
    ["NORTH_WEST"] = "nordvest"
}

misc = { 
    ["gps_signal_lost_wav"] = "Mistet GPS-signal",
    ["gps_signal_restored_wav"] = "GPS-forbindelsen har blitt gjenopprettet",
 --   ["no_gps_signal_wav"] = "Ikke GPS-signal",
    ["route_recalculation_wav"] = "Beregner rute",
    ["now_wav"] = nil,
    ["end_of_street_wav"] = "Ved enden av veien",
    ["follow_motorway_wav"] = "Følg motorveien",
    ["follow_road_wav"] = "Følg veien",
    ["for_wav"] = "i",
    ["after_wav"] = "Etter",
    ["the_junction_wav"] = "veikrysset",
    ["immediately_wav"] = "straks",
    ["safety_camara_ahead_wav"] = "Fotoboks lengre fremme",
    ["over_speed_limit_wav"] = "Vær oppmerksom på fartsgrensen",
    ["traffic_automatic_detour_wav"] = "Mye trafikk på ruten, tar en omvei",
    ["traffic_manual_detour_wav"] = "Mye trafikk på ruten, vil du ta en omvei?",
    ["no_detour_possible"] = "Ingen omvei funnet",
    ["and_wav"] = "og",
    ["and_then_wav"] = "og så",
    ["and_continue_on_wav"] = "og fortsett på",
    ["towards_wav"] = "mot",
    ["turn_wav"] = "sving",
    ["onto_wav"] = "til",
    ["exit_wav"] = "ta avkjørselen",
    ["second_right_wav"] = "ta andre til høyre",
    ["second_left_wav"] = "ta andre til venstre",
    ["dot"] = ".",
    ["walk_left_roundabout_wav"] = "gå til venstre rundt rundkjøringen",
    ["walk_right_roundabout_wav"] = "gå til høyre rundt rundkjøringen",
    ["walk_roundabout_wav"] = "gå rundt rundkjøringen",
    ["head_wav"] = "Gå mot",
    ["pause"] = "\\pause=50\\",
    ["on_wav"] = "på",
    ["onto_the_footpath_wav"] = "inn på gangstien"
}

wav_files = { 
    ["beep_sound"] = "beep16K.wav"       
}

right = { ["QUITE_RIGHT"] = 0, ["HEAVY_RIGHT"] = 0, ["LIGHT_RIGHT"] = 0, ["KEEP_RIGHT"] = 0 }
left = { ["QUITE_LEFT"] = 0, ["HEAVY_LEFT"] = 0, ["LIGHT_LEFT"] = 0, ["KEEP_LEFT"] = 0 }
keep = { ["KEEP_LEFT"] = 0, ["KEEP_RIGHT"] = 0, ["KEEP_MIDDLE"] = 0 }
highway = { ["ENTER_HIGHWAY"] = 0, ["ENTER_URBAN_HIGHWAY"] = 0, ["LEAVE_HIGHWAY"] = 0, ["LEAVE_URBAN_HIGHWAY"] = 0 }


